Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deMachineWindowsCPU Class Reference

`#include <deMachineWindowsCPU.hpp>`

List of all members.

## Public Member Functions
| deMachineWindowsCPU ()
deBoolean | GetCreationResult (void)
deBoolean | GetCPUInfo (deCPUInfo *Info)
## Private Member Functions
void | StartTimer (long *Time, __int64 *Clock)
void | GetVendorAndCPUInfo (void)
void | GetIntelCPUInfo (long LargestExtendedFunction)
void | GetEmbeddedCPUName (void)
char * | GetIntelCPUName (void)
long | GetIntelCPUCache (void)
void | GetIntelCPUCacheValues (void)
void | GetAMDCPUInfo (long LargestExtendedFunction)
void | GetAMDCPUCacheValues (long LargestExtendedFunction)
void | StopTimer (long *Time, __int64 *Clock)
## Private Attributes
deBoolean | CreationResult
deCPUInfo | CPUInfo

## Constructor & Destructor Documentation

deMachineWindowsCPU::deMachineWindowsCPU | ( |  | ) |

## Member Function Documentation

void deMachineWindowsCPU::GetAMDCPUCacheValues | ( | long | LargestExtendedFunction | ) | `[private]`

void deMachineWindowsCPU::GetAMDCPUInfo | ( | long | LargestExtendedFunction | ) | `[private]`

deBoolean deMachineWindowsCPU::GetCPUInfo | ( | deCPUInfo * | Info | ) |

deBoolean deMachineWindowsCPU::GetCreationResult | ( | void |  | ) | `[inline]`

void deMachineWindowsCPU::GetEmbeddedCPUName | ( | void |  | ) | `[private]`

long deMachineWindowsCPU::GetIntelCPUCache | ( | void |  | ) | `[private]`

void deMachineWindowsCPU::GetIntelCPUCacheValues | ( | void |  | ) | `[private]`

void deMachineWindowsCPU::GetIntelCPUInfo | ( | long | LargestExtendedFunction | ) | `[private]`

char * deMachineWindowsCPU::GetIntelCPUName | ( | void |  | ) | `[private]`

void deMachineWindowsCPU::GetVendorAndCPUInfo | ( | void |  | ) | `[private]`

void deMachineWindowsCPU::StartTimer | ( | long * | Time,
|  | __int64 * | Clock
| ) | `[private]`

void deMachineWindowsCPU::StopTimer | ( | long * | Time,
|  | __int64 * | Clock
| ) | `[private]`

## Member Data Documentation

deCPUInfo deMachineWindowsCPU::CPUInfo`[private]`

deBoolean deMachineWindowsCPU::CreationResult`[private]`

The documentation for this class was generated from the following files:

- deMachineWindowsCPU.hpp
- deMachineWindowsCPU.cpp